# pypomp

Python code for modeling and inference using partially observed Markov process (POMP) models, featuring automatic differentiation.

### Expected package users

* Scientists wanting to perform data analysis on a dynamic system via partially observed Markov processes (POMP), also  called state-space models (SSM) or hidden Markov models (HMM) in other contexts.

  * This package design and intended use is similar to the popular [**pomp** R package](https://kingaa.github.io/pomp/). As such, many of the expected use cases and motivating examples of this package can be found on the [pomp package bibliography page](https://kingaa.github.io/pomp/biblio.html).
  
* Researchers wishing to develop novel inference methodology for POMP models.

  * Like the **pomp** R package, this package provides a framework for implementing computer representations of arbitrary POMP models. This ability provides an environment for researchers to develop, test, and deploy novel algorithms that are applicable to POMP models. 

### Package Development 

* The **pypomp** package is currently at early stages of development. All version numbers below 0.1 are pre-release.

* All contributions are welcome! Contributions should keep in mind the intended uses of this package, and its intended users.

* The **pypomp** package is run by the [pypomp organization](https://github.com/pypomp).

